Upsert a BYOA provider configuration
curl --request POST \
--url https://auth.runtools.ai/v1/oauth/configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"scopes": "<string>"
}
'import requests
url = "https://auth.runtools.ai/v1/oauth/configs"
payload = {
"provider": "<string>",
"client_id": "<string>",
"client_secret": "<string>",
"scopes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider: '<string>',
client_id: '<string>',
client_secret: '<string>',
scopes: '<string>'
})
};
fetch('https://auth.runtools.ai/v1/oauth/configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
BYOA configs
Upsert a BYOA provider configuration
POST
/
v1
/
oauth
/
configs
Upsert a BYOA provider configuration
Authorizations
bearerapiKey
WorkOS session token or RunTools API key (rt_live_* / rt_test_*).
Used in Authorization: Bearer <token> header.
Body
application/json
Response
200
Upserted.
⌘I